query listRoles @auth(level: USER) {
  roles {
    id
    name
    costPerHour
    vendorId
    roleCategoryId
    createdAt
  }
}

query getRoleById($id: UUID!) @auth(level: USER) {
  role(id: $id) {
    id
    name
    costPerHour
    vendorId
    roleCategoryId
    createdAt
  }
}

query listRolesByVendorId($vendorId: UUID!) @auth(level: USER) {
  roles(where: { vendorId: { eq: $vendorId } }) {
    id
    name
    costPerHour
    vendorId
    roleCategoryId
    createdAt
  }
}

query listRolesByroleCategoryId($roleCategoryId: UUID!) @auth(level: USER) {
  roles(where: { roleCategoryId: { eq: $roleCategoryId } }) {
    id
    name
    costPerHour
    vendorId
    roleCategoryId
    createdAt
  }
}
